<app-header></app-header>

<!-- <div class="row  ">
    <div class="col-12 col-sm-8 mx-auto">
        <div class=" text-primary text-center h3 pb-5">เทสกันหน่อย</div>


        <table class='table'>
            <thead>
                <tr>
                    <td>Name</td>
                    <td>Description</td>
                    <td></td>
                </tr>
            </thead>

            <tbody *ngIf="!loading">

                <tr *ngFor="let data of wikis">
                    <td>{{data.payload.val().name}}</td>
                    <td>{{data.payload.val().description}}</td>
                    <td>
                        <button (click)="delete(data.key)" mat-icon-button color="warn"
                            aria-label="Example icon button with a heart icon">
                            <mat-icon>delete</mat-icon>
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
<mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>

<button mat-flat-button color="primary" class="mx-auto d-flex mt-5" (click)="test()">test</button>



</div>
</div> -->
<mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>

<div class="container">

    <div class="card rounded-3 shadow-lg p-4 my-5">
        <div class="row ">
            <div class="col-9">
                <div class="row">
                    <div class="col  h5 font-weight-bold">
                        Fajr
                    </div>
                </div>
                <div class="row">
                    <div class="col h6">
                        {{prayer.timings.Fajr}}
                    </div>
                </div>
            </div>
            <div class="col-1">
                <mat-icon class="">wb_sunny</mat-icon>
            </div>
        </div>
        <hr>
        <div class="row ">
            <div class="col">
                <div class="row">
                    <div class="col  h5 font-weight-bold">
                        Dhuhr
                    </div>
                </div>
                <div class="row">
                    <div class="col h6">
                        {{prayer.timings.Dhuhr}}
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <div class="row ">
            <div class="col">
                <div class="row">
                    <div class="col  h5 font-weight-bold">
                        Asr
                    </div>
                </div>
                <div class="row">
                    <div class="col h6">
                        {{prayer.timings.Asr}}
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <div class="row ">
            <div class="col">
                <div class="row">
                    <div class="col  h5 font-weight-bold">
                        Maghrib
                    </div>
                </div>
                <div class="row">
                    <div class="col h6">
                        {{prayer.timings.Maghrib}}
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <div class="row ">
            <div class="col">
                <div class="row">
                    <div class="col  h5 font-weight-bold">
                        Isha
                    </div>
                </div>
                <div class="row">
                    <div class="col h6">
                        {{prayer.timings.Isha}}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <button type="button" [disabled]="loading" class="btn btn-primary shadow-lg w-100 text-center" (click)="Refresh()">
        Refresh
    </button>

</div>